<?php
require_once 'inc/pedidos_venda.php';
include 'header.php';
include 'erpc_pedidos_venda_toolbar.php';

$pedidos_venda = pedidos_venda_create();

if(isset($_GET['id'])){
  $id_crip = $_GET['id'];
  $id = base64_decode($id_crip);

  $pedidos_venda = pedidos_venda_getById($id);

  /*
  echo "<pre>";
  print_r($pedidos_venda);
  echo "</pre>"; */

}

?>
<form method="post" action="erpc_pedidos_venda_ws.php">
  <div class="block">
    <div class="header">
      <h2>Pedido de Venda / Orçamento</h2>
    </div>
    <div class="block">
      <div class="content">
        <?php
        displayMessagesAndErrors(true);
        ?>
      </div>
    </div>
  </div>
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#form1" aria-controls="form1" role="tab" data-toggle="tab">Dados</a></li>
    <li role="presentation"><a href="#form2" aria-controls="form2" role="tab" data-toggle="tab">Comissão</a></li>
    <li role="presentation"><a href="#form3" aria-controls="form3" role="tab" data-toggle="tab">Mensagens</a></li>
    <li role="presentation"><a href="#form4" aria-controls="form4" role="tab" data-toggle="tab">Veículo</a></li>
    <li role="presentation"><a href="#form9" aria-controls="form9" role="tab" data-toggle="tab">Status</a></li>
  </ul>

<!-- Tab panes -->
<div class="tab-content">
  <div role="tabpanel" class="tab-pane fade in active" id="form1">
    <? include "erpc_pedidos_venda1_dados_add.php" ?>
  </div> <!-- tab-pane -->

  <div role="tabpanel" class="tab-pane fade in" id="form2">
    <? include "erpc_pedidos_venda2_comissao_add.php" ?>
  </div> <!-- tab-pane -->

  <div role="tabpanel" class="tab-pane fade in" id="form3">
    <? include "erpc_pedidos_venda3_mensagens_add.php" ?>
  </div> <!-- tab-pane -->

  <div role="tabpanel" class="tab-pane fade in" id="form4">
    <? include "erpc_pedidos_venda4_veiculo_add.php" ?>
  </div> <!-- tab-pane -->

  <div role="tabpanel" class="tab-pane fade in" id="form9">
    <? include "erpc_pedidos_venda10_status.php" ?>
  </div> <!-- tab-pane -->

</div> <!-- 1o tab-content -->

    <!-- Itens dos produtos -->
    <? include "erpc_pedidos_venda5_produto_add.php" ?>

  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#form5" aria-controls="form5" role="tab" data-toggle="tab">Totais</a></li>
    <li role="presentation"><a href="#form6" aria-controls="form6" role="tab" data-toggle="tab">Desconto/Frete/Despesas</a></li>
    <li role="presentation"><a href="#form7" aria-controls="form7" role="tab" data-toggle="tab">Impostos</a></li>
    <li role="presentation"><a href="#form8" aria-controls="form8" role="tab" data-toggle="tab">Titulos a receber</a></li>
  </ul>
<!-- Tab panes -->
<div class="tab-content">

  <div role="tabpanel" class="tab-pane fade in active" id="form5">
    <? include "erpc_pedidos_venda6_totais_add.php" ?>
  </div> <!-- tab-pane -->

  <div role="tabpanel" class="tab-pane fade in" id="form6">
    <? include "erpc_pedidos_venda7_descontos_add.php" ?>
  </div> <!-- tab-pane -->

  <div role="tabpanel" class="tab-pane fade in" id="form7">
    <? include "erpc_pedidos_venda8_impostos_add.php" ?>
  </div> <!-- tab-pane -->

  <div role="tabpanel" class="tab-pane fade in" id="form8">
    <? include "erpc_pedidos_venda9_titulos_add.php" ?>
  </div> <!-- tab-pane -->
</div>


  <div class="block">
    <div class="content controls">
      <div class="form-row">
        <div class="col-md-12 text-right">
          <button name="btn-voltar" id="btn-voltar" class="btn btn-default btn-cleanx">Voltar</button>
          <button type="submit" name="btn-add"    id="btn-add"    class="btn btn-primary btn-cleanx">Adicionar</button>
        </div>
      </div>
    </div>
  </div>
</form>

<?php include 'inc/helper_modal_div.php'; ?>

<?php include 'footer.php'; ?>
<script>
  $(document).ready(function() {

    setAllBlurProducts();
    calculaItem(0);

    /*
    $('.itens-1-n tr').on('click', function () {
            setAllBlurProducts();
        });

        $('.settrcalculo').on('click', function () {
                setAllBlurProducts();
            });
            */

    $('.itens-1-n').on('change', function () {
        setAllBlurProducts();
    });

    function getPadraoProduto(p_indice){
      var nm_id_pro = "[name='pedidos_venda[itens][" + p_indice + "][id_produto]']";
      var p_retorno = '';

      var p_id_produto = $(nm_id_pro).val();
      if(p_id_produto=='') p_id_produto = 0;
      $.ajax({
    	      url:  "inc/pedido_item_produto_padrao.php",
    				type: "POST", //send it through get method
    				data: {
    					    id_produto: p_id_produto
    					  },
    	      success:function(data) {
    					 p_retorno = data;
               if(p_retorno!=''){
                 var nm_tp_movi = "[name='pedidos_venda[itens][" + p_indice + "][id_tipo_movimentacao]']";
                 var nm_id_unid = "[name='pedidos_venda[itens][" + p_indice + "][id_unidade_medida]']";
                 var nm_ds_cfop = "[name='pedidos_venda[itens][" + p_indice + "][ds_cfop]']";
                 var nm_vl_ipi  = "[name='pedidos_venda[itens][" + p_indice + "][nr_perc_ipi]']";
                 var nm_vl_icms = "[name='pedidos_venda[itens][" + p_indice + "][nr_perc_icms]']";

                // console.log(p_retorno);
                 var retdata  = p_retorno.split(';');
                  $(nm_tp_movi).val(retdata[0]);
                  $(nm_id_unid).val(retdata[1]);
                  $(nm_ds_cfop).val(retdata[3]);

                  var p_vl_ipi = parseFloat(retdata[4]);
                  var p_vl_icms= parseFloat(retdata[5]);

                  $(nm_vl_ipi).val(mascaraValor(p_vl_ipi.toFixed(2)));
                  $(nm_vl_icms).val(mascaraValor(p_vl_icms.toFixed(2)));
               }
    	      }
    	 });
    }

    function somaProdutos(){
      // $('input[name*=vl_total]')
      var p_sum_prod = 0;
        $('table tr input[name*=vl_total]').each(function () {
            // var valor = Number($(this).val());
            var valor = ($(this).val());

            vl_item = parseFloat(valor.replace(/\D/g, "")/ 100).toFixed(2)
            // if (!isNaN(valor)) p_sum_prod += vl_item;
            p_sum_prod += Number(vl_item);

            // console.log("valor do campo:" + valor);
            // p_sum_prod += parseFloat(p_vl_total).toFixed(2);
            // totalProduto += parseFloat(this.value);
        });

      // totalProduto = parseFloat(totalProduto).toFixed(2);
      // console.log(p_sum_prod);
      var texto = mascaraValor(p_sum_prod.toFixed(2));
      $("[name='pedidos_venda[vl_total_produtos]'").val(texto );
      $("[name='pedidos_venda[vl_total_pedido]'").val(texto );
    }


    // calcula o item através do índice informado
    function calculaItem(p_indice){

      // nome dos campos a tratar pelo índice
      var nm_nr_qtde = "[name='pedidos_venda[itens][" + p_indice + "][nr_quantidade]']";
      var nm_vl_unit = "[name='pedidos_venda[itens][" + p_indice + "][vl_unitario]']";
      var nm_vl_desc = "[name='pedidos_venda[itens][" + p_indice + "][vl_desconto_produto]']";
      var nm_vl_total= "[name='pedidos_venda[itens][" + p_indice + "][vl_total]']";

      var nm_nr_pipi = "[name='pedidos_venda[itens][" + p_indice + "][nr_perc_ipi]']";
      var nm_nr_picms= "[name='pedidos_venda[itens][" + p_indice + "][nr_perc_icms]']";
      var nm_vl_ipi  = "[name='pedidos_venda[itens][" + p_indice + "][vl_ipi]']";
      var nm_vl_icms = "[name='pedidos_venda[itens][" + p_indice + "][vl_icms]']";

      // campos digitáveis:
      p_nr_qtde = $(nm_nr_qtde).val();
      p_nr_ipi  = $(nm_nr_pipi).val();
      p_nr_icms = $(nm_nr_picms).val();
      p_vl_unit = $(nm_vl_unit).val();
      p_vl_desc = $(nm_vl_desc).val();

      p_nr_qtde = parseFloat(p_nr_qtde).toFixed(4);
      p_nr_ipi  = parseFloat(p_nr_ipi).toFixed(2);
      p_nr_icms = parseFloat(p_nr_icms).toFixed(2);

      p_vl_unit = parseFloat(p_vl_unit.replace(/\D/g, "")/ 100).toFixed(2);
      p_vl_desc = parseFloat(p_vl_desc.replace(/\D/g, "")/ 100).toFixed(2);

      // calcula o total do item
      var p_vl_total= p_nr_qtde * (p_vl_unit - p_vl_desc);
          p_vl_total = (p_vl_total == "NaN" ? 0 : p_vl_total);

      // valores de IPI e ICMS
          // p_nr_ipi  = (isNaN(p_nr_ipi )==true ? 0 : p_nr_ipi);
          p_nr_ipi  = (p_nr_ipi == "Nan" ? 0 : p_nr_ipi);
          p_nr_icms = (p_nr_icms== "NaN" ? 0 : p_nr_icms);

      var p_vl_ipi  = (p_nr_ipi  / 100) * p_vl_total;
      var p_vl_icms = (p_nr_icms / 100) * p_vl_total;

       $(nm_vl_total).val(mascaraValor(p_vl_total.toFixed(2)));
       $(nm_vl_ipi).val(mascaraValor(p_vl_ipi.toFixed(2)));
       $(nm_vl_icms).val(mascaraValor(p_vl_icms.toFixed(2)));

       somaProdutos();
    }

    function setAllBlurProducts(){
      $('input[name*=id_produto]').unbind("blur");
      $('input[name*=nr_quantidade]').unbind("blur");
      $('input[name*=vl_unitario]').unbind("blur");
      $('input[name*=vl_desconto_produto]').unbind("blur");
      $('input[name*=vl_total]').unbind("blur");
      $('input[name*=nr_perc_ipi]').unbind("blur");
      $('input[name*=nr_perc_icms]').unbind("blur");
      $('input[name*=vl_ipi]').unbind("blur");
      $('input[name*=vl_icms]').unbind("blur");

      $('input[name*=id_produto]').blur(function(){
        var p_name_qtde= $(this).attr('name');

        var p_pos_ini = 21;
        var p_pos_fim = p_name_qtde.indexOf("]", p_pos_ini); // caracter colchete de fechamento do indíce;
        var p_indice  = p_name_qtde.substr(p_pos_ini, p_pos_fim-p_pos_ini);
        getPadraoProduto(p_indice)
      });

    $('input[name*=nr_quantidade]').blur(function(){
      var p_name_qtde= $(this).attr('name');

      var p_pos_ini = 21;
      var p_pos_fim = p_name_qtde.indexOf("]", p_pos_ini); // caracter colchete de fechamento do indíce;
      var p_indice  = p_name_qtde.substr(p_pos_ini, p_pos_fim-p_pos_ini);
      calculaItem(p_indice)
    });

    $('input[name*=vl_unitario]').blur(function(){
      var p_name_qtde= $(this).attr('name');

      var p_pos_ini = 21;
      var p_pos_fim = p_name_qtde.indexOf("]", p_pos_ini); // caracter colchete de fechamento do indíce;
      var p_indice  = p_name_qtde.substr(p_pos_ini, p_pos_fim-p_pos_ini);
      calculaItem(p_indice)
    });

    $('input[name*=vl_desconto_produto]').blur(function(){
      var p_name_qtde= $(this).attr('name');

      var p_pos_ini = 21;
      var p_pos_fim = p_name_qtde.indexOf("]", p_pos_ini); // caracter colchete de fechamento do indíce;
      var p_indice  = p_name_qtde.substr(p_pos_ini, p_pos_fim-p_pos_ini);
      calculaItem(p_indice)
    });

    $('input[name*=nr_perc_ipi]').blur(function(){
      var p_name_qtde= $(this).attr('name');

      var p_pos_ini = 21;
      var p_pos_fim = p_name_qtde.indexOf("]", p_pos_ini); // caracter colchete de fechamento do indíce;
      var p_indice  = p_name_qtde.substr(p_pos_ini, p_pos_fim-p_pos_ini);
      calculaItem(p_indice)
    });

    $('input[name*=nr_perc_icms]').blur(function(){
      var p_name_qtde= $(this).attr('name');

      var p_pos_ini = 21;
      var p_pos_fim = p_name_qtde.indexOf("]", p_pos_ini); // caracter colchete de fechamento do indíce;
      var p_indice  = p_name_qtde.substr(p_pos_ini, p_pos_fim-p_pos_ini);
      calculaItem(p_indice)
    });
      return true;
    }

    function mascaraValor(valor) {
    valor = valor.toString().replace(/\D/g,"");
    valor = valor.toString().replace(/(\d)(\d{8})$/,"$1.$2");
    valor = valor.toString().replace(/(\d)(\d{5})$/,"$1.$2");
    valor = valor.toString().replace(/(\d)(\d{2})$/,"$1,$2");
    return valor
    }

}(jQuery));
</script>
